Index: ipk/source/lcdsamsungskins_channel_2/CONTROL/preinst
===================================================================
--- ipk/source/lcdsamsungskins_channel_2/CONTROL/preinst	(revision 23459)
+++ ipk/source/lcdsamsungskins_channel_2/CONTROL/preinst	(revision 23646)
@@ -1,65 +1,24 @@
 #!/bin/sh
-#
-TMP=/tmp/.TOOLS
+INSTDIR="$1"
 
-model=`cat /etc/model`
-echo""
-echo "Checking your Boxtype...."
-echo "Some Plugins will not work correctly on your $model!"
-echo ""
-if [ "$model" = "" ]; then
-	echo "Sorry! This Plugin is not available for your $model because it will not work correctly!!!"
-	echo "Aborting installation..."
-	exit 1
-else
-	echo "Boxtype: $model OK"
+if [ ! -d /var/usr/local/share/titan/plugins/lcdsamsung ]; then
+  echo "ERROR .... lcdsamsung not installed"
+  exit 1
 fi
 
-echo "checking lcdsamsung installation"
-if [ ! -d /var/swap/titanplugins/lcdsamsung ]; then
-  echo "--------------------------"
-	echo "Keine lcdsamsung Installation gefunden! Bitte erst das lcdsamsung Plugin installieren!"
-	echo "--------------------------"
-	exit 1
-fi
-echo "lcdsamsung Installation ok...."
-
-link=`readlink /var/swap`
-if [ -z $link ]; then
- link="kein link"
+samsungdir=`readlink /var/usr/local/share/titan/plugins/lcdsamsung` 
+if [ ! $samsungdir ]; then  
+	if [ $INSTDIR != "/var" ]; then
+			echo "ERROR .... lcdsamsung not installed in dir $INSTDIR"
+			exit 1
+	fi
+else
+	if [ $samsungdir != "$instdir/usr/local/share/titan/plugins/lcdsamsung" ]; then
+			echo "ERROR .... lcdsamsung not installed in dir $INSTDIR"
+			exit 1
+	fi
 fi
 
-if [ `df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1 | wc -l` -eq 1 ] && [ $link = "/mnt/swapextensions" ]; then
-	SPACE=`df | grep /dev/mtdblock | grep mnt | sed 's/ \+/ /g' | cut -d ' ' -f4 | head -n1`
-	FREE=`expr $SPACE - 100`
-	SIZE=1000
-	echo "checking freespace"
-	echo packege size $SIZE kb
-	echo freespace size $FREE kb
-	if  [ "$FREE" -lt "$SIZE" ]; then
-		echo "sorry no freespace left on device"
-		exit 1
-	else
-		echo ok		
-	fi
-else
-	echo "syncing disk"
-	sync
-fi
-buildgroup=`cat /etc/.buildgroup`
-echo "checking OS"	 
-if  [ `cat /etc/motd | grep $buildgroup | grep M | grep rev | wc -l` -eq 0 ]; then 	 	 
-	echo --------------------------- 	 	 
-	echo DONT USE this IPK Package!! 	 	 
-	echo --- 	 	 
-	echo Only for $buildgroup Image!! 	 	 
-	echo --------------------------- 	 	 
-	exit 1 	 	 
-fi
-
-mv /var/swap/titanplugins/lcdsamsung/skin.xml /var/swap/titanplugins/lcdsamsung/originalskin.xml
-echo "Sichere Originalskin....."
-
-echo "Installiere Samsung LCD Skin..."
+mv "$INSTDIR/usr/local/share/titan/plugins/lcdsamsung/skin.xml" "$INSTDIR/usr/local/share/titan/plugins/lcdsamsung/originalskin.xml"
 
 exit 0
